Subject: Re: sshd: public key working, but can't get passwords working
From: Daniel Griscom <[email-masked]>
To: René Berber <[email-masked]>
Cc: [email-masked]
Date: Sun, 29 Jul 2007 16:43:26 -0400
List-Id: <cygwin.cygwin.com>

At 3:31 PM -0500 7/29/07, René Berber wrote:
>Daniel Griscom wrote:
>
>>  I have openssh version 4.6p1-1 installed under WinXP SP2 with all
>>  updates. I've successfully used ssh-host-config to set up sshd
>>  (privilege separation on, local user sshd created, sshd run as service,
>>  "CYGWIN=ntsec tty"; sshd started with "net start sshd"; all done under
>>  the administrative account "developer"). I then updated the password and
>>  group files using "mkpasswd --local > /etc/passwd" and "mkgroup --local
>>>  /etc/group". Windows Firewall has port 22 open for sshd.
>>
>>  Problem: I can't ssh in as developer using a password. I've successfully
>>  copied over a public key into .ssh/authorized_keys2, and I can login
>>  just fine from my expected machines, but I really need to be able to
>>  login from unexpected machines (which won't have their public keys in
>>  authorized_keys2).
>>
>>  Any suggestions?
>
>Look at the log (Windows' event viewer), what's the error sent when you try to
>login?

Just what you'd expect: "Failed password for 
development from 192.168.1.101 port 1121 ssh2".

(BTW, the account is named "development", not 
"developer" as I first stated; if I try an 
incorrect username, I get "invalid user" 
messages, so it's not a username issue.)

Thanks,
Dan

P.S. Thanks for noting that log entries end up in 
the Windows Event Viewer; in the past I've spent 
many a happy hour wondering where the %$^& 
logfiles were stored in Windows.

--
Daniel T. Griscom             [email-masked]
Suitable Systems              http://www.suitable.com/
1 Centre Street, Suite 204    (781) 665-0053
Wakefield, MA  01880-2400

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/